Bug 1463439 - [RFE] Hammer repository synchronize should give me the option to sync all repositories in an organization
Summary: [RFE] Hammer repository synchronize should give me the option to sync all rep...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.2.9
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-20 22:49 UTC by Rich Jerrido
Modified: 2019-08-12 16:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 19:35:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rich Jerrido 2017-06-20 22:49:19 UTC
As a Satellite user, I have (on the sync status page) the ability to select ALL repositories and synchronize them. 

As a Satellite CLI user, I would like the ability to synchronize all repositories via a single hammer cli command so that I can better automate my workflow.

Something like the following would fit the bill nicely. 

hammer repository synchronize --all --organization Example

Comment 1 Marek Hulan 2017-06-21 08:29:24 UTC
Thanks for the report, we tend to use hammer component for things related to hammer core functionality, such as logging, authentication etc. Moving to repositories component to be triaged.

Comment 2 Bryan Kearney 2019-02-07 12:09:42 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 3 Bryan Kearney 2019-02-28 19:35:19 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.


Note You need to log in before you can comment on or make changes to this bug.